import { TsUML2Settings } from "./tsuml2-settings";
import { FileDeclaration } from "./model";
export declare function createDiagram(settings: TsUML2Settings): void;
/**
 * parse a typescript project
 * @param settings tsuml2 settings
 * @returns
 */
export declare function parseProject(settings: TsUML2Settings): FileDeclaration[];
/**
 * get the nomnoml DSL representing the class diagram as a string
 * @param declarations
 * @param settings
 * @returns
 */
export declare function getNomnomlDSL(declarations: FileDeclaration[], settings: TsUML2Settings): string;
/**
 * get the mermaid DSL representing the class diagram as a string
 * @param declarations
 * @param settings
 * @returns
 */
export declare function getMermaidDSL(declarations: FileDeclaration[], settings: TsUML2Settings): string;
