import { MemberAssociation, MethodDetails, PropertyDetails } from '../model';
import { TsUML2Settings } from '../tsuml2-settings';
import { Template } from './template';
export declare class MermaidTemplate implements Template {
    private settings;
    readonly composition = "+->";
    constructor(settings: TsUML2Settings);
    implements(interf: string, implementation: string): string;
    extends(base: string, derived: string): string;
    plainClassOrInterface(name: string): string;
    class(name: string, props: PropertyDetails[], methods: MethodDetails[]): string;
    interface(name: string, props: PropertyDetails[], methods: MethodDetails[]): string;
    type(name: string, props: PropertyDetails[], methods: MethodDetails[]): string;
    enum(name: string, enumItems: string[]): string;
    memberAssociation(association: MemberAssociation): string;
    private propertyTemplate;
    private methodTemplate;
    private applyModifiers;
}
