import EquipmentPart from "./equipment";
import { Weapon, Named, MagicWeapon, Magic, BlackMagic, Durable, MagicDurability, Attribute as Attr } from "./interfaces";
export declare class BaseWeapon extends EquipmentPart<number> implements Durable {
    protected damage: number;
    durability: number;
    magicDurability: MagicDurability;
    attributes: Attr[];
    refresh(): void;
}
export declare class Katana extends BaseWeapon implements Weapon, Named {
    name: string;
    tryHit(fromDistance: number): boolean;
    doIt(): void;
}
export declare class MagicKatana<MT extends Magic> extends Katana implements MagicWeapon<MT> {
    magic: MT;
    constructor(magic: MT);
    tryMagicHit(): boolean;
}
export declare class BlackMagicKatana extends MagicKatana<BlackMagic> implements MagicWeapon<BlackMagic> {
    tryBlackMagicHit(): boolean;
}
export interface AttributeWithDefault<T = any> extends Attr<T> {
    default: T;
}
