import EquipmentPart from "./equipment";
import { Weapon, Gender, BlackMagic as BM } from "./interfaces";
import { Katana, MagicKatana as MK } from "./katana";
export declare class Viking<WT extends Weapon> {
    age: (10 | 20)[];
    gender: Gender;
    weapon: WT;
    secondaryWeapon?: WT;
    constructor(weapon: WT);
    fight(fromDistance: number): boolean;
    bag: EquipmentPart<any>[];
}
export declare class UberViking<WT extends Weapon> extends Viking<WT> {
    belt?: EquipmentPart<any>;
}
export declare class VikingWithKatana extends Viking<Katana> {
}
export declare class MagicViking extends Viking<MK<BM>> {
    secondaryWeapon?: MK<BM>;
    "superMagic[Name]"?: string;
}
